"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _graphql = require("webiny-api/graphql");

var _file = _interopRequireDefault(require("./graphql/file"));

var _webinyApiSecurity = require("webiny-api-security");

var _graphql2 = require("webiny-api-files/graphql");

var _default = [{
  type: "graphql",
  name: "graphql-files-schema",
  namespace: "files",
  typeDefs: [_graphql2.FileType, _graphql2.FileInputType, _graphql2.FileResponseType, _graphql2.FileListResponseType, _file.default.typeExtensions,
  /* GraphQL */
  `
                type FilesQuery {
                    _empty: String
                }

                type FilesMutation {
                    _empty: String
                }

                type Query {
                    files: FilesQuery
                }

                type Mutation {
                    files: FilesMutation
                }
            `],
  resolvers: () => [{
    Query: {
      files: _graphql.dummyResolver
    },
    Mutation: {
      files: _graphql.dummyResolver
    }
  }, _file.default.resolvers],
  files: {
    shield: {
      FilesQuery: {
        getFile: (0, _webinyApiSecurity.hasScope)("files:file:crud"),
        listFiles: (0, _webinyApiSecurity.hasScope)("files:file:crud")
      },
      FilesMutation: {
        createFile: (0, _webinyApiSecurity.hasScope)("files:file:crud"),
        updateFile: (0, _webinyApiSecurity.hasScope)("files:file:crud"),
        deleteFile: (0, _webinyApiSecurity.hasScope)("files:file:crud")
      }
    }
  }
}];
exports.default = _default;
//# sourceMappingURL=graphql.js.map