"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _graphql = require("webiny-api/graphql");

var _listFiles = _interopRequireDefault(require("./resolvers/listFiles"));

var _listTags = _interopRequireDefault(require("./resolvers/listTags"));

var _updateFileBySrc = _interopRequireDefault(require("./resolvers/updateFileBySrc"));

var _graphql2 = require("webiny-api-files/graphql");

const fileFetcher = ctx => ctx.models.File;

var _default = {
  typeDefs: () => [_graphql2.FileType, _graphql2.FileInputType, _graphql2.FileListResponseType, _graphql2.FileResponseType],
  typeExtensions: `
        extend type FilesQuery {
            getFile(
                id: ID 
                where: JSON
                sort: String
            ): FileResponse
            
            listFiles(
                page: Int
                perPage: Int
                types: [String]
                tags: [String]
                sort: JSON
                search: String
            ): FileListResponse
               
            listTags: [String]
        }
        
        extend type FilesMutation {
            createFile(
                data: FileInput!
            ): FileResponse
            
            updateFileBySrc(
                src: String!
                data: FileInput!
            ): FileResponse
        
            deleteFile(
                id: ID!
            ): DeleteResponse
        }
    `,
  resolvers: {
    FilesQuery: {
      getFile: (0, _graphql.resolveGet)(fileFetcher),
      listFiles: (0, _listFiles.default)(fileFetcher),
      listTags: (0, _listTags.default)(fileFetcher)
    },
    FilesMutation: {
      createFile: (0, _graphql.resolveCreate)(fileFetcher),
      updateFileBySrc: (0, _updateFileBySrc.default)(fileFetcher),
      deleteFile: (0, _graphql.resolveDelete)(fileFetcher)
    }
  }
};
exports.default = _default;
//# sourceMappingURL=file.js.map