"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _responses = require("webiny-api/graphql/responses");

var _default = modelFetcher => async (root, args, context) => {
  const model = modelFetcher(context);
  const {
    page = 1,
    perPage = 10,
    sort = null,
    search = "",
    types = [],
    tags = []
  } = args;
  const findArgs = {
    page,
    perPage,
    sort
  };
  const $and = [];

  if (Array.isArray(types) && types.length) {
    $and.push({
      type: {
        $in: types
      }
    });
  }

  if (search) {
    $and.push({
      $or: [{
        name: {
          $regex: `.*${search}.*`,
          $options: "i"
        }
      }, {
        tags: {
          $in: search.split(" ")
        }
      }]
    });
  }

  if (Array.isArray(tags) && tags.length > 0) {
    $and.push({
      tags: {
        $in: tags.map(tag => tag.toLowerCase())
      }
    });
  }

  if ($and.length) {
    findArgs.query = {
      $and
    };
  }

  const data = await model.find(findArgs);
  return new _responses.ListResponse(data, data.getMeta());
};

exports.default = _default;
//# sourceMappingURL=listFiles.js.map