"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = modelFetcher => async (root, args, context) => {
  const model = modelFetcher(context);
  const results = await model.getStorageDriver().getDatabase().collection("File").aggregate([{
    $sort: {
      _id: 1
    }
  }, {
    $match: {
      tags: {
        $exists: true,
        $ne: []
      }
    }
  }, {
    $project: {
      tags: 1
    }
  }, {
    $unwind: "$tags"
  }, {
    $group: {
      _id: "$tags"
    }
  }, {
    $sort: {
      _id: 1
    }
  }, {
    $limit: 100
  }]).toArray();
  return results.map(item => item._id);
};

exports.default = _default;
//# sourceMappingURL=listTags.js.map