"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

var _responses = require("webiny-api/graphql/responses");

var _graphql = require("webiny-api/graphql");

var _default = modelFetcher => async (root, args, context) => {
  const modelClass = modelFetcher(context);
  const model = await modelClass.findOne({
    query: {
      src: args.src
    }
  });

  if (!model) {
    return new _responses.NotFoundResponse();
  }

  try {
    await model.populate(args.data).save();
  } catch (e) {
    if (e instanceof _webinyModel.ModelError && e.code === _webinyModel.ModelError.INVALID_ATTRIBUTES) {
      const attrError = _graphql.InvalidAttributesError.from(e);

      return new _responses.ErrorResponse({
        code: attrError.code || "INVALID_ATTRIBUTES",
        message: attrError.message,
        data: attrError.data
      });
    }

    return new _responses.ErrorResponse({
      code: e.code,
      message: e.message,
      data: e.data || null
    });
  }

  return new _responses.Response(model);
};

exports.default = _default;
//# sourceMappingURL=updateFileBySrc.js.map